EnglishPossessiveFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.en.EnglishPossessiveFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.en
Class EnglishPossessiveFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.en.EnglishPossessiveFilter

All Implemented Interfaces:
  Closeable

    public final class EnglishPossessiveFilter

extends org.apache.lucene.analysis.TokenFilter

TokenFilter that removes possessives (trailing 's) from words.

You must specify the required `Version` compatibility when creating EnglishPossessiveFilter:

- As of 3.6, U+2019 RIGHT SINGLE QUOTATION MARK and U+FF07 FULLWIDTH APOSTROPHE are also treated as quotation marks.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`EnglishPossessiveFilter(org.apache.lucene.analysis.TokenStream input)` Deprecated. Use `EnglishPossessiveFilter(Version, TokenStream)` instead.
`EnglishPossessiveFilter(org.apache.lucene.util.Version version, org.apache.lucene.analysis.TokenStream input)`

Method Summary
`boolean` | `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnglishPossessiveFilter

    @Deprecated
    public EnglishPossessiveFilter(org.apache.lucene.analysis.TokenStream input)

  Deprecated. Use `EnglishPossessiveFilter(Version, TokenStream)` instead.

### EnglishPossessiveFilter

    public EnglishPossessiveFilter(org.apache.lucene.util.Version version,
                                   org.apache.lucene.analysis.TokenStream input)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD